Bug 1056978 (CVE-2013-6483)

Summary: CVE-2013-6483 pidgin: Possible spoofing using iq replies in XMPP protocol plugin
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, debarshir, jkurik, jrusnack, mbarnes, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140128,reported=20140122,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/pidgin=affected,rhel-6/pidgin=affected,rhel-7/pidgin=notaffected,fedora-all/pidgin=affected,cwe=CWE-290
Fixed In Version: pidgin 2.10.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-19 16:05:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1058238, 1058239, 1058240, 1058242, 1058243, 1059049    
Bug Blocks: 1054257    
Attachments:
Description Flags
Local copy of patch none

Description Huzaifa S. Sidhpurwala 2014-01-23 04:42:53 EST
It was found that the XMPP protocol plugin in pidgin does not verify iq replies. The XMPP protocol plugin failed to ensure that iq replies came from the person they were sent to. A remote user could send a spoofed iq reply and attempt to guess the iq id. This could allow an attacker to inject fake data or trigger a null pointer dereference.


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Fabian Yamaguchi and Christian Wressnegger of the University of Goettingen as the original reporters of this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:14:25 EST
Created attachment 855925 [details]
Local copy of patch
Comment 3 Vincent Danen 2014-01-28 15:52:28 EST
External References:

http://pidgin.im/news/security/?id=78
Comment 4 Huzaifa S. Sidhpurwala 2014-01-28 23:24:13 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 5 errata-xmlrpc 2014-02-05 12:44:39 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 6 Fedora Update System 2014-02-05 22:49:46 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-14 02:59:23 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.